JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.win32
Class Variant.VARIANT

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.Union
              com.sun.jna.platform.win32.Variant.VARIANT

Direct Known Subclasses:
  Variant.VARIANT.ByReference

Enclosing interface:
  Variant

    public static class Variant.VARIANT

extends Union

Nested Class Summary
`static class` `Variant.VARIANT._VARIANT`
`static class` `Variant.VARIANT.ByReference`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByValue`

Field Summary
`Variant.VARIANT._VARIANT` `_variant`
`OaIdl.DECIMAL` `decVal`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`Variant.VARIANT()`
`Variant.VARIANT(OaIdl.DATE value)`
`Variant.VARIANT(OaIdl.VARIANT_BOOL value)`
`Variant.VARIANT(Pointer pointer)`
`Variant.VARIANT(WinDef.LONG value)`
`Variant.VARIANT(WinDef.SHORT value)`
`Variant.VARIANT(WTypes.BSTR value)`

Method Summary
`java.lang.Object` `getValue()`
`WTypes.VARTYPE` `getVarType()`
`void` `setValue(int vt, java.lang.Object value)`
`void` `setValue(WTypes.VARTYPE vt, java.lang.Object value)`
`void` `setVarType(short vt)`

Methods inherited from class com.sun.jna.Union
`getFieldOrder, getNativeAlignment, getTypedValue, readField, setType, setType, setTypedValue, writeField, writeField`

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeSize, getNativeSize, getPointer, getStructAlignment, hashCode, newInstance, newInstance, read, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### _variant

    public Variant.VARIANT._VARIANT _variant

### decVal

    public OaIdl.DECIMAL decVal

Constructor Detail

### Variant.VARIANT

    public Variant.VARIANT()

### Variant.VARIANT

    public Variant.VARIANT(Pointer pointer)

### Variant.VARIANT

    public Variant.VARIANT(WTypes.BSTR value)

### Variant.VARIANT

    public Variant.VARIANT(OaIdl.VARIANT_BOOL value)

### Variant.VARIANT

    public Variant.VARIANT(WinDef.LONG value)

### Variant.VARIANT

    public Variant.VARIANT(WinDef.SHORT value)

### Variant.VARIANT

    public Variant.VARIANT(OaIdl.DATE value)

Method Detail

### getVarType

    public WTypes.VARTYPE getVarType()

### setVarType

    public void setVarType(short vt)

### setValue

    public void setValue(int vt,
                         java.lang.Object value)

### setValue

    public void setValue(WTypes.VARTYPE vt,
                         java.lang.Object value)

### getValue

    public java.lang.Object getValue()

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.